- name: Install nova packages
  yum:
    name: openstack-nova-compute

- name: create /home/nova/ with 755
  file:
    path: /home/nova/
    state: directory
    mode: 0755
    owner: nova
    group: nova
  with_items:
    - /home/nova
    - /home/nova/buckets
    - /home/nova/instances
    - /home/nova/keys
    - /home/nova/networks
    - /home/nova/tmp

- name: Edit nova config file
  template:
    src: nova_conf.j2
    dest: /etc/nova/nova.conf

- name: semanage
  shell: semanage fcontext -a -t nova_var_lib_t "/home/nova(/.*)?"

- name: restorecon
  shell: restorecon -Rv /home/nova

- name: Start compute servicing
  service:
    name: "{{ item }}"
    state: restarted
    enabled: yes
  with_items:
    - libvirtd
    - openstack-nova-compute
